Subject: Re: [PATCH] coresight: do not use the BIT() macro in the UAPI header

From: Eugene Syromiatnikov <[email-masked]>
Date: Tue, 24 Mar 2020 10:53:04 +0100

On Tue, Mar 24, 2020 at 07:28:53AM +0100, Greg Kroah-Hartman wrote:
> On Tue, Mar 24, 2020 at 05:22:13AM +0100, Eugene Syromiatnikov wrote:
> > The BIT() macro definition is not available for the UAPI headers
> > (moreover, it can be defined differently in the user space); replace
> > its usage with the _BITUL() macro that is defined in <linux/const.h>.
> 
> Why is somehow _BITUL() ok to use here instead?

It is provided in an UAPI header (include/uapi/linux/const.h)
and is appropriately prefixed with an underscore to avoid conflicts.

> Just open-code it, I didn't think we could use any BIT()-like macros in
> uapi .h files.
> 
> thanks,
> 
> greg k-h
> 

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel